/*
 * Copyright 2018-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.data.elasticsearch.client.erhlc;

import org.springframework.web.reactive.function.client.WebClientException;

/**
 * Exception thrown if the request body cannot be properly encoded.
 *
 * @author Christoph Strobl
 * @author Mark Paluch
 * @since 3.2
 * @deprecated since 5.0
 */

@Deprecated public class RequestBodyEncodingException extends WebClientException {

	private static final long serialVersionUID = 472776714118912855L;

	/**
	 * Construct a new instance of {@link RequestBodyEncodingException} with the given message and exception.
	 *
	 * @param msg the message
	 * @param ex the exception
	 */
	public RequestBodyEncodingException(String msg, Throwable ex) {
		super(msg, ex);
	}
}
